Subject: Re: bug#4550: 23.1; give users a choice for quitting backtrace buffer

From: Stefan Monnier <[email-masked]>
Date: Mon, 18 Jul 2011 09:45:20 -0400

>> I want the frame to either remain or be deleted, not iconified.
>> I want users to be able to specify the behavior they prefer.

> We can add a buffer display specifier which tells a priori what to do
> with the window/frame/buffer when the window is no more needed.  For
> that I'd need a list of specification concepts for

> - what to do with the window (delete it or keep it),

> - what to do with the frame (iconfiy, delete, keep it, make it
>   invisible),

> - what to do with the buffer (kill it, bury it),

> with an optional function that could be called for each of these.

Sounds way overkill to me.
All Drew needs AFAIK is a bury-buffer-function that lets him change the
iconify-frame default to something else.

        Stefan